List the projects
curl --request GET \
--url https://api.doers.sh/v2/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doers.sh/v2/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.doers.sh/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"id": "<string>",
"name": "<string>",
"areaId": "<string>",
"status": "active",
"deadline": "<string>",
"notes": "<string>",
"order": 123,
"openTaskCount": 0,
"doneTaskCount": 0,
"accessRole": "owner"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Projects
List the projects
Returns active and completed projects in manual order, with their task counts. Archived projects are excluded unless includeArchived=true.
GET
/
v2
/
projects
List the projects
Authorizations
A pc_… token generated from Settings > API & MCP.
Query Parameters
Identifier of a row.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
active, done The workspace to read within; the personal one by default (T-D11).
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Success.
Show child attributes
Show child attributes